import { CompletionFunc } from '@pnpm/command';
import { InstallCommandOptions } from '../install';
export declare function rcOptionsTypes(): Pick<any, never>;
export declare function cliOptionsTypes(): {
    interactive: BooleanConstructor;
    latest: BooleanConstructor;
    recursive: BooleanConstructor;
    workspace: BooleanConstructor;
};
export declare const shorthands: {
    D: string;
    P: string;
};
export declare const commandNames: string[];
export declare const completion: CompletionFunc;
export declare function help(): string;
export type UpdateCommandOptions = InstallCommandOptions & {
    interactive?: boolean;
    latest?: boolean;
};
export declare function handler(opts: UpdateCommandOptions, params?: string[]): Promise<void | "All of your dependencies are already up to date" | "All of your dependencies are already up to date inside the specified ranges. Use the --latest option to update the ranges in package.json">;
